package com.ruoyi.project.business.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 【请填写功能名称】对象 tq_specification_non_standard
 *
 * @author ruoyi
 * @date 2024-05-27
 */
public class TqSpecificationNonStandard extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private Long id;

    /**
     * 规格ID
     */
    @Excel(name = "规格ID")
    private Long specificationId;

    /**
     * 非标描述
     */
    @Excel(name = "非标描述")
    private String nonStandardDesc;

    /**
     * 单价(采购)
     */
    @Excel(name = "单价(采购)")
    private BigDecimal buyerPrice;

    /**
     * 上浮(%)(财务)
     */
    @Excel(name = "上浮(%)(财务)")
    private BigDecimal floatPercent;

    /**
     * 单价(财务)
     */
    @Excel(name = "单价(财务)")
    private BigDecimal treasurerPrice;

    /**
     * 单价
     */
    @Excel(name = "单价")
    private BigDecimal price;

    /**
     * 合计金额（单价*数量）
     */
    @Excel(name = "合计金额", readConverterExp = "单=价*数量")
    private BigDecimal total;

    /**
     * 系统评审结果（00：标准 01：非标准）
     */
    @Excel(name = "系统评审结果", readConverterExp = "0=0：标准,0=1：非标准")
    private String systemCheckResult;

    /**
     * 解决方案
     */
    @Excel(name = "解决方案")
    private String solution;

    /**
     * 删除标记（0：未删除  1：已删除）
     */
    private String delFlag;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setSpecificationId(Long specificationId) {
        this.specificationId = specificationId;
    }

    public Long getSpecificationId() {
        return specificationId;
    }

    public void setNonStandardDesc(String nonStandardDesc) {
        this.nonStandardDesc = nonStandardDesc;
    }

    public String getNonStandardDesc() {
        return nonStandardDesc;
    }

    public void setBuyerPrice(BigDecimal buyerPrice) {
        this.buyerPrice = buyerPrice;
    }

    public BigDecimal getBuyerPrice() {
        return buyerPrice;
    }

    public void setFloatPercent(BigDecimal floatPercent) {
        this.floatPercent = floatPercent;
    }

    public BigDecimal getFloatPercent() {
        return floatPercent;
    }

    public void setTreasurerPrice(BigDecimal treasurerPrice) {
        this.treasurerPrice = treasurerPrice;
    }

    public BigDecimal getTreasurerPrice() {
        return treasurerPrice;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setTotal(BigDecimal total) {
        this.total = total;
    }

    public BigDecimal getTotal() {
        return total;
    }

    public void setSystemCheckResult(String systemCheckResult) {
        this.systemCheckResult = systemCheckResult;
    }

    public String getSystemCheckResult() {
        return systemCheckResult;
    }

    public void setSolution(String solution) {
        this.solution = solution;
    }

    public String getSolution() {
        return solution;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("specificationId", getSpecificationId())
            .append("nonStandardDesc", getNonStandardDesc())
            .append("buyerPrice", getBuyerPrice())
            .append("floatPercent", getFloatPercent())
            .append("treasurerPrice", getTreasurerPrice())
            .append("price", getPrice())
            .append("total", getTotal())
            .append("systemCheckResult", getSystemCheckResult())
            .append("solution", getSolution())
            .append("delFlag", getDelFlag())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
